| Home | Libraries | People | FAQ | More

##### string::max_size

Return the maximum number of characters any string can hold.

###### Synopsis

    static
    constexpr std::size_t
    max_size();

###### Description

The maximum is an implementation-defined number. This value is a theoretical limit; at runtime, the actual maximum size may be less due to resource limits.

###### Complexity

Constant.